> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get all app configs > Get detailed information of all app configs that the current user has access to. ## OpenAPI ````json GET /v1/app_configs { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/app_configs": { "get": { "tags": [ "ApplicationConfig" ], "summary": "Get all app configs", "description": "Get detailed information of all app configs that the current user has access to.", "operationId": "getAllApplicationConfigs", "parameters": [ { "name": "name", "in": "query", "description": "App config name", "schema": { "type": "string" } }, { "name": "description", "in": "query", "description": "App config description.", "schema": { "type": "string" } }, { "name": "image_id", "in": "query", "description": "Search configurations for given image id", "schema": { "type": "string", "format": "uuid" } }, { "name": "filter", "in": "query", "description": "Filter to use for items, currently supports labels, syntax: {\"labels\":{\"key1\":\"value1\",\"key2\":\"value2\"}}", "schema": { "type": "string" } }, { "name": "limit", "in": "query", "description": "Maximum numbers of app configs to return.", "schema": { "type": "integer" } }, { "name": "offset", "in": "query", "description": "Number of app configs to skip from start.", "schema": { "type": "integer" } } ], "responses": { "200": { "description": "Search result for app config objects.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAllApplicationConfigsResponse" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "schemas": { "GetAllApplicationConfigsResponse": { "required": [ "items" ], "type": "object", "properties": { "metadata": { "$ref": "#/components/schemas/SearchMetadata" }, "items": { "type": "array", "items": { "$ref": "#/components/schemas/ApplicationConfigResponse" } } } }, "SearchMetadata": { "required": [ "total_count", "filtered_count", "page", "pages", "limit" ], "type": "object", "properties": { "page": { "type": "integer", "description": "Current page number" }, "pages": { "type": "integer", "description": "Total pages as per the item counts and page limit." }, "limit": { "type": "integer", "description": "Number of items to limit in a page." }, "total_count": { "type": "integer", "description": "Total number of unfiltered items." }, "filtered_count": { "type": "integer", "description": "Total number of items as per the current filter." } } }, "ApplicationConfigResponse": { "required": [ "config_id", "created_at", "updated_at", "name", "description", "app_config", "labels", "ports", "group_id" ], "type": "object", "properties": { "config_id": { "type": "string" }, "created_at": { "type": "integer", "format": "int64" }, "updated_at": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "description": { "type": "string" }, "app_config": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/ApplicationConfigContents" }, "x-sorted": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "x-sorted": true }, "ports": { "type": "array", "items": { "type": "string" }, "x-sorted": true }, "zone": { "$ref": "#/components/schemas/VersionedZoneId" }, "group_id": { "type": "string", "format": "uuid" } }, "description": "" }, "ApplicationConfigContents": { "required": [ "value" ], "type": "object", "properties": { "contents": { "type": "string" } } }, "VersionedZoneId": { "required": [ "id" ], "type": "object", "properties": { "id": { "type": "string", "format": "uuid" }, "version": { "type": "integer", "format": "int64" } } } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````